BG3 incompatible version error - fix the save load error

share to other networks share to twitter share to facebook
BG3 incompatible version error - An image of a female character in Baldur's Gate 3
Credit: Larian Studios

If you're encountering the BG3 incompatible version error while trying to load a save, don't worry. We're here to bring you up to speed on what's happening.

In Baldur's Gate 3, saving your progress has not always been a smooth journey. From the mysterious error code 516 to the frustrating "can't save" issue, players have faced various challenges. Now, a new problem has emerged: the incompatible version error.

In the following guide, we'll equip you with the solutions needed to triumph over the BG3 incompatible version error and continue your adventure unhindered. But before that, make sure you know how to save in Baldur's Gate 3 - properly.

What is the BG3 incompatible version error?

The BG3 incompatible version error in Baldur's Gate 3 occurs when the version of the game save doesn't match with the current version of the game you're trying to load it in.

On August 16, the developers released Hotfix 4 (version 4.1.1.3645567) for the game, but it caused crashing in Baldur's Gate 3. To address these issues, they decided to revert the game back to the previous stable version, which is Hotfix 3 (version 4.1.1.363828).

The game saves made while Hotfix 4 was active won't work with the current version of the game, which is now Hotfix 3. As a result, when you attempt to load those Hotfix 4 saves, you're encountering the BG3 incompatible version error.

How to fix the BG3 incompatible version error

To fix the BG3 incompatible version error, you'll need to wait until the fixed version of Hotfix 4 is released and goes live.

Once the corrected version of Hotfix 4 is available, you should update your game to that version. After updating, you'll likely be able to load the saves made during the problematic Hotfix 4 update without any compatibility issues.

In the meantime, while waiting for the fixed version of Hotfix 4, you can continue playing the game using saves made during the previous version (Hotfix 3). These saves are compatible with the current state of the game and should not have any issues when loading.

Loading...

Make sure to keep an eye on Larian Studios' official Twitter to know when the fixed version of Hotfix 4 is released so that you can update your game and resume using your Hotfix 4 saves.

And that concludes our guide on the BG3 incompatible version error. While you are here, make sure you check out the locations of the Slack-Skinned Head and the Drow twins in Baldur's Gate 3.

For more articles like this, take a look at our Guides and Gaming page.